/**
 * SuiteCRM is a customer relationship management program developed by SalesAgility Ltd.
 * Copyright (C) 2023 SalesAgility Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SALESAGILITY, SALESAGILITY DISCLAIMS THE
 * WARRANTY OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Supercharged by SuiteCRM" logo. If the display of the logos is not reasonably
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Supercharged by SuiteCRM".
 */
import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { LanguageStore, LanguageStrings } from '../../store/language/language.store';
import { Observable, Subscription } from 'rxjs';
import { FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SearchBarComponent implements OnInit, OnDestroy {
    protected languageStore: LanguageStore;
    searchInput: ElementRef;
    labelKey: string;
    klass: string;
    isMobile: boolean;
    searchTrigger: 'enter' | 'input';
    isSearchVisible: EventEmitter<boolean>;
    searchExpression: EventEmitter<string>;
    searchWord: string;
    searchForm: FormGroup;
    isFocused: boolean;
    hasSearchTyped: boolean;
    protected subs: Subscription[];
    languages$: Observable<LanguageStrings>;
    vm$: Observable<{
        appStrings: import("../../store/language/language.store").LanguageStringMap;
    }>;
    constructor(languageStore: LanguageStore);
    ngOnInit(): void;
    ngOnDestroy(): void;
    searchWithEnter(): void;
    searchWithInput(value: string): void;
    clearSearchTerm(): void;
    onFocus(): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchBarComponent, "scrm-search-bar", never, { "labelKey": { "alias": "labelKey"; "required": false; }; "klass": { "alias": "klass"; "required": false; }; "isMobile": { "alias": "isMobile"; "required": false; }; "searchTrigger": { "alias": "searchTrigger"; "required": false; }; }, { "isSearchVisible": "isSearchVisible"; "searchExpression": "searchExpression"; }, never, never, false, never>;
}
//# sourceMappingURL=search-bar.component.d.ts.map